## How to apply changes?

After changing a config or a template file below docker/templates/ you need to apply the changes.

### Stop containers

This step is necessary if your continers are currently running only.

Start `docker/init.sh` and press `s`
OR `docker/init.sh s q`

### Generate new config

Start `docker/init.sh` and press `t`
OR `docker/init.sh t q`

You see the changes per template and a changed configuration file will be saved.

### Start containers

Start `docker/init.sh` and press `u`
OR `docker/init.sh u q`

!!! info "INFO"
    You can `docker/init.sh` and interactively press `s`, then `t` and finally `u`.
    Or do it in a single command line with `docker/init.sh s t u q`

